Skip to navigation

Delete Price List Record

Deletes a Price List Record. Deleting the records does not delete the Price List. Optional parameters can be passed in.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

price_list_idintegerRequired

The ID of the Price List requested.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

currencystringOptional

The 3-letter currency code with which this set of prices is associated.

variant_id:inlist of integersOptional

A comma-separated list of IDs for one or more variants for which prices exist.

sku:inlist of stringsOptional

A comma-separated list of SKUs for one or more variants for which prices exist.

Response

No Content

Errors

503
Service Unavailable Error